//
//  CustomGestureRecognizer.swift
//  Swift_Study
//
//  Created by 🐷 on 16/4/28.
//  Copyright © 2016年 🐷. All rights reserved.
//

import UIKit

import UIKit.UIGestureRecognizerSubclass

class CustomGestureRecognizer: UIGestureRecognizer {
    
    var left = false;
    
    var right = false;
    
    override init(target: AnyObject?, action: Selector) {
        super.init(target: target, action: action)
    }
    
    
    override func touchesBegan(touches: Set<UITouch>, withEvent event: UIEvent) {
        
    }
    
    override func touchesMoved(touches: Set<UITouch>, withEvent event: UIEvent) {
        
        let myTouch = touches.first! as UITouch
        
        let myLocation = myTouch.locationInView(self.view)
        
        
        if myLocation.x < 10  {
            // 从左变开始滑动
            
            left = true
        }
        
        if (myLocation.x + 10) > self.view?.bounds.width  {
            // 已滑到右边，停止滑动
            right = true
        }
        
        if left && right {
            self.state = UIGestureRecognizerState.Ended
        }
        
        
    }
    
    override func touchesEnded(touches: Set<UITouch>, withEvent event: UIEvent) {
        self.reset()
    }
    
}